### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
AnalyticHestonHullWhiteEngine Class Reference
Vanilla option engines

Analytic Heston engine incl. stochastic interest rates. More...

`#include <ql/pricingengines/vanilla/analytichestonhullwhiteengine.hpp>`

Inheritance diagram for AnalyticHestonHullWhiteEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticHestonHullWhiteEngine (const boost::shared_ptr< HestonModel > &hestonModel, const boost::shared_ptr< HullWhite > &hullWhiteModel, Size integrationOrder=144)
| AnalyticHestonHullWhiteEngine (const boost::shared_ptr< HestonModel > &model, const boost::shared_ptr< HullWhite > &hullWhiteModel, Real relTolerance, Size maxEvaluations)
void | update ()
void | calculate () const

## Protected Member Functions

std::complex< Real > | addOnTerm (Real phi, Time t, Size j) const

## Detailed Description

Analytic Heston engine incl. stochastic interest rates.

This class is pricing a european options under the following processes

References:

Karel in't Hout, Joris Bierkens, Antoine von der Ploeg, Joe in't Panhuis, A Semi closed-from analytic pricing formula for call options in a hybrid Heston-Hull-White Model.

A. Sepp, Pricing European-Style Options under Jump Diffusion Processes with Stochastic Volatility: Applications of Fourier Transform (<http://math.ut.ee/~spartak/papers/stochjumpvols.pdf>)

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature, testing against QuantLib's analytic Heston and Black-Scholes-Merton Hull-White engine

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from GenericEngine< VanillaOption::arguments, VanillaOption::results >.